package com.xvji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xvji.domain.Component;
import com.xvji.domain.PredictTask;

import java.io.Serializable;
import java.util.List;

public interface PredictTaskService extends IService<PredictTask> {
    /**
     * 新增预测任务并关联组件
     * @param predictTask 预测任务信息
     * @param component 关联的组件信息
     * @return 操作结果
     */
    boolean addPredictTaskWithComponent(PredictTask predictTask, Component component);

    /**
     * 查询所有预测任务
     */
    List<PredictTask> getAllPredictTasks();

    boolean deletePredictTaskWithComponents(Long taskId);

    boolean updatePredictTask(PredictTask task);

}